## org.apache.poi.xwpf.usermodel
Class TextSegement

    java.lang.Object
      org.apache.poi.xwpf.usermodel.TextSegement

    public class TextSegement

extends java.lang.Object

saves the begin and end position of a text in a Paragraph

Constructor Summary
`TextSegement()`
`TextSegement(int beginRun, int endRun, int beginText, int endText, int beginChar, int endChar)`
`TextSegement(PositionInParagraph beginPos, PositionInParagraph endPos)`

Method Summary
`int` `getBeginChar()`
`PositionInParagraph` `getBeginPos()`
`int` `getBeginRun()`
`int` `getBeginText()`
`int` `getEndChar()`
`PositionInParagraph` `getEndPos()`
`int` `getEndRun()`
`int` `getEndText()`
`void` `setBeginChar(int beginChar)`
`void` `setBeginRun(int beginRun)`
`void` `setBeginText(int beginText)`
`void` `setEndChar(int endChar)`
`void` `setEndRun(int endRun)`
`void` `setEndText(int endText)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextSegement

    public TextSegement()

### TextSegement

    public TextSegement(int beginRun,
                        int endRun,
                        int beginText,
                        int endText,
                        int beginChar,
                        int endChar)

### TextSegement

    public TextSegement(PositionInParagraph beginPos,
                        PositionInParagraph endPos)

Method Detail

### getBeginPos

    public PositionInParagraph getBeginPos()

### getEndPos

    public PositionInParagraph getEndPos()

### getBeginRun

    public int getBeginRun()

### setBeginRun

    public void setBeginRun(int beginRun)

### getBeginText

    public int getBeginText()

### setBeginText

    public void setBeginText(int beginText)

### getBeginChar

    public int getBeginChar()

### setBeginChar

    public void setBeginChar(int beginChar)

### getEndRun

    public int getEndRun()

### setEndRun

    public void setEndRun(int endRun)

### getEndText

    public int getEndText()

### setEndText

    public void setEndText(int endText)

### getEndChar

    public int getEndChar()

### setEndChar

    public void setEndChar(int endChar)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.